import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
//  strict
import PropTypes from 'prop-types';
import React from 'react';
import styled from 'styled-components';
import { FabFacebookF, FabLinkedinIn, FabTwitter } from '../../Atoms/Icons';
import Link from '../../Atoms/Links/Link';
var Wrapper =
/*#__PURE__*/
styled(Link).withConfig({
  componentId: "sc-1chygni-0"
})(["\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n  align-items: center;\n  height: ", ";\n  width: ", ";\n  border-radius: 50%;\n  background-color: ", ";\n  transition: all 0.5s;\n\n  &:hover {\n    background-color: ", ";\n  }\n"], function (props) {
  return props.size;
}, function (props) {
  return props.size;
}, function (props) {
  return props.theme['circleBadgeBackgroundColor'];
}, function (props) {
  return props.theme['circleBadgeHoverColor'];
});
var WhiteFacebook =
/*#__PURE__*/
styled(FabFacebookF).withConfig({
  componentId: "sc-1chygni-1"
})(["\n  fill: ", ";\n  max-height: 60%;\n  max-width: 60%;\n\n  &:hover {\n    fill: ", ";\n  }\n"], function (props) {
  return props.theme['circleBadgeColor'];
}, function (props) {
  return props.theme['circleBadgeColor'];
});
var WhiteLinkedin =
/*#__PURE__*/
styled(FabLinkedinIn).withConfig({
  componentId: "sc-1chygni-2"
})(["\n  fill: ", ";\n  max-height: 60%;\n  max-width: 60%;\n\n  &:hover {\n    fill: ", ";\n  }\n"], function (props) {
  return props.theme['circleBadgeColor'];
}, function (props) {
  return props.theme['circleBadgeColor'];
});
var WhiteTwitter =
/*#__PURE__*/
styled(FabTwitter).withConfig({
  componentId: "sc-1chygni-3"
})(["\n  fill: ", ";\n  max-height: 60%;\n  max-width: 60%;\n\n  &:hover {\n    fill: ", ";\n  }\n"], function (props) {
  return props.theme['circleBadgeColor'];
}, function (props) {
  return props.theme['circleBadgeColor'];
});

var CircleBadge = function CircleBadge(_ref) {
  var name = _ref.name,
      size = _ref.size,
      rest = _objectWithoutProperties(_ref, ["name", "size"]);

  return React.createElement(Wrapper, _extends({
    size: size
  }, rest), name === 'facebook' && React.createElement(WhiteFacebook, {
    selectable: true,
    size: size
  }), name === 'linkedin' && React.createElement(WhiteLinkedin, {
    selectable: true,
    size: size
  }), name === 'twitter' && React.createElement(WhiteTwitter, {
    selectable: true,
    size: size
  }));
};

CircleBadge.propTypes = process.env.NODE_ENV !== "production" ? {
  name: PropTypes.oneOf(['facebook', 'linkedin', 'twitter']),
  size: PropTypes.string
} : {};
CircleBadge.defaultProps = {
  name: 'facebook',
  size: '2.625rem'
};
export default CircleBadge;