"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioLabel = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _injectE2E = _interopRequireDefault(require("../../Tools/injectE2E"));

//  strict
var toId = function toId(value) {
  return "".concat(value, "-radio");
};

var Wrapper =
/*#__PURE__*/
_styledComponents.default.div.withConfig({
  componentId: "sc-1rjvnx3-0"
})(["\n  display: flex;\n"]);

var RadioButton =
/*#__PURE__*/
_styledComponents.default.span.withConfig({
  componentId: "sc-1rjvnx3-1"
})(["\n  margin-right: 0.5rem;\n  background: ", ";\n  border: 2px solid ", ";\n  box-sizing: border-box;\n  border-radius: 50%;\n  height: 16px;\n  width: 16px;\n"], function (_ref) {
  var theme = _ref.theme;
  return theme.palette.white;
}, function (props) {
  return props.theme.inputBorderColor;
});

var Input =
/*#__PURE__*/
_styledComponents.default.input.attrs({
  'data-e2e': _injectE2E.default,
  id: function id(props) {
    return toId(props.value);
  },
  name: function name(props) {
    return props.name;
  },
  type: 'radio'
}).withConfig({
  componentId: "sc-1rjvnx3-2"
})(["\n  position: absolute;\n  border: 0;\n  clip: rect(0, 0, 0, 0);\n  height: 1px;\n  margin: -1px;\n  overflow: hidden;\n  padding: 0;\n  visibility: visible;\n  white-space: nowrap;\n  width: 1px;\n\n  &:checked ~ label ", " {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    border-color: ", ";\n\n    &::before {\n      border-radius: 51%;\n      content: '';\n      display: inline-block;\n      height: 8px;\n      width: 8px;\n      position: relative;\n      background: ", ";\n    }\n  }\n"], RadioButton, function (props) {
  return props.theme.inputCheckedColor;
}, function (props) {
  return props.theme.inputCheckedColor;
});

var RadioLabel =
/*#__PURE__*/
_styledComponents.default.label.attrs({
  htmlFor: function htmlFor(props) {
    return toId(props.value);
  }
}).withConfig({
  componentId: "sc-1rjvnx3-3"
})(["\n  position: relative;\n  left: 1px;\n  display: flex;\n  align-items: center;\n  min-height: 1rem;\n  cursor: pointer;\n  font-family: ", ";\n  font-size: 1rem;\n"], function (props) {
  return props.theme.fontPrimary;
});

exports.RadioLabel = RadioLabel;

var Radio = function Radio(_ref2) {
  var input = _ref2.input,
      rest = (0, _objectWithoutProperties2.default)(_ref2, ["input"]);
  return _react.default.createElement(Wrapper, null, _react.default.createElement(Input, (0, _extends2.default)({}, input, rest)), _react.default.createElement(RadioLabel, {
    name: rest.name,
    value: rest.value
  }, _react.default.createElement(RadioButton, null), rest.label));
};

var _default = Radio;
exports.default = _default;