"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _palette = _interopRequireDefault(require("./palette"));

//  strict
var borderRadius = '0.125rem';
var theme = {
  /* eslint-disable sort-keys */
  e2e: true,
  fontPrimary: "'IBM Plex Sans', 'Helvetica Neue', Arial, sans-serif;",
  palette: _palette.default,
  screenSizes: {
    sm: '48rem',
    md: '62rem',
    lg: '75rem'
  },
  brandNameColor: _palette.default.gray3,
  buttonBackgroundColor: _palette.default.orient,
  buttonBorderRadius: borderRadius,
  buttonColor: _palette.default.white,
  buttonHoverColor: _palette.default.ocean,
  cartridgeBackgroundColor: _palette.default.cerulean,
  cartridgeColor: _palette.default.white,
  circleBadgeBackgroundColor: _palette.default.gray2,
  circleBadgeColor: _palette.default.white,
  circleBadgeHoverColor: _palette.default.orient,
  dangerColor: _palette.default.red,
  footerCategoryColor: _palette.default.gray7,
  iconColor: _palette.default.gray5,
  iconHoverColor: _palette.default.gray4,
  inputBackgroundColor: _palette.default.white,
  inputBackgroundColorFocus: _palette.default.gray0,
  inputBorderColor: _palette.default.gray2,
  inputBorderRadius: borderRadius,
  inputCheckedColor: _palette.default.cerulean,
  inputColor: _palette.default.gray5,
  inputPlaceholderColor: _palette.default.gray3,
  inputRadioCheckedColor: _palette.default.cerulean,
  inputRadioColor: _palette.default.gray3,
  linkColor: _palette.default.gray5,
  linkHoverColor: _palette.default.orient,
  loaderColor: _palette.default.cerulean,
  navbarDropdownContentBackgroundColor: _palette.default.white,
  navbarDropdownContentBorderColor: _palette.default.gray3,
  navbarDropdownContentShadowColor: _palette.default.blackAlpha25,
  navbarDropdownContentShadowColor2: _palette.default.blackAlpha10,
  navbarDropdownDescriptionColor: _palette.default.gray3,
  navbarDropdownDescriptionMobileColor: _palette.default.whiteAlpha50,
  navbarDropdownHeaderColor: _palette.default.white,
  navbarDropdownTitleColor: _palette.default.azure,
  navbarDropdownTitleMobileColor: _palette.default.white,
  navbarMenuBagroundColor: _palette.default.orient,
  navbarTogglerColor: _palette.default.white,
  paginationBackgroundColor: _palette.default.transparent,
  paginationBorderColor: _palette.default.gray1,
  paginationColor: _palette.default.gray6,
  paginationHoverBackgroundColor: _palette.default.ceruleanAlpha10,
  paginationHoverColor: _palette.default.gray6,
  paginationSelectedBackgroundColor: _palette.default.cerulean,
  paginationSelectedColor: _palette.default.white,
  panelBackgroundColor: _palette.default.white,
  panelShadowColor: _palette.default.gray1,
  searchBarBackgroundColor: _palette.default.white,
  searchBarIconColor: _palette.default.black,
  searchBarShadowColor: _palette.default.blackAlpha50,
  searchBarSubmitBackgroundColor: _palette.default.gold,
  searchBarSubmitColor: _palette.default.black,
  searchBarSubmitHoverBackgroundColor: _palette.default.royal,
  searchBarUnderlinedBackgroundColor: _palette.default.transparent,
  searchBarUnderlinedBorderColor: _palette.default.gray2,
  sectionBackgroundColor: _palette.default.transparent,
  successColor: _palette.default.green,
  tableCellEvenBackgroundColor: _palette.default.gray0,
  tableCellOddBackgroundColor: _palette.default.white,
  tableShadowColor: _palette.default.gray1,
  tabMenuBarColor: _palette.default.gold,
  tabMenuBorderColor: _palette.default.gray1,
  textColor: _palette.default.gray5,
  toastBackgroundColor: _palette.default.white,
  toastBorderRadius: borderRadius,
  toastTextColor: _palette.default.black,
  togglerBackgroundColor: _palette.default.white,
  togglerBorderColor: _palette.default.gray1,
  togglerColor: _palette.default.cerulean,
  togglerSelectedBackgroundColor: _palette.default.cerulean,
  togglerSelectedColor: _palette.default.white,
  tooltipBackgroundColor: _palette.default.gray6,
  tooltipBorderColor: _palette.default.gray6,
  tooltipColor: _palette.default.white,
  warningColor: _palette.default.yellow
  /* eslint-enable sort-keys */

};
var _default = theme;
exports.default = _default;